Add Rows
Request
POST
https://api.wiki.yandex.net/v1/grids/{idx}/rows
Path parameters
|
Name |
Description |
|
idx |
Type: string<uuid4> Example: `` |
Body
application/json
{
"revision": "example",
"position": 0,
"after_row_id": "example",
"rows": [
{}
]
}
|
Name |
Description |
||
|
rows |
Type: object[]
Example
|
||
|
after_row_id |
Type: string Example: |
||
|
position |
Type: integer |
||
|
revision |
Type: string Example: |
UserIdentityExtended
Extended user identifier with additional fields
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in Yandex Cloud Example: |
|
uid |
Type: string Unique user identifier (UID) in Yandex Example: |
|
username |
Type: string User login Example: |
Example
{
"uid": "example",
"cloud_uid": "example",
"username": "example"
}
Responses
200 OK
OK
Body
application/json
{
"revision": "example",
"results": [
{
"id": "example",
"row": [
0
],
"pinned": true,
"color": "blue"
}
]
}
|
Name |
Description |
|
revision |
Type: string Example: |
|
results |
Type: GridRowSchema[] Example
|
TicketSchema
Ticket schema from Yandex Tracker
|
Name |
Description |
|
key |
Type: string Ticket key (for example, Example: |
|
resolved |
Type: boolean The ticket is resolved (closed) |
Example
{
"key": "example",
"resolved": true
}
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud (for the external instance) Example: |
|
uid |
Type: string User identifier in Yandex (for the internal instance) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Information about the user
|
Name |
Description |
|
affiliation |
Type: string User affiliation (for example, Example: |
|
display_name |
Type: string User display name Example: |
|
id |
Type: integer Internal user identifier |
|
is_dismissed |
Type: boolean The user has been dismissed |
|
username |
Type: string User login Example: |
|
identity |
All of 1 type
User identifier in the system Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
UnresolvedUserSchema
Schema for a user that was not found in the system
|
Name |
Description |
|
identity |
All of 1 type
User identifier Example
|
|
username |
Type: string User login Example: |
Example
{
"username": "example",
"identity": {
"uid": "example",
"cloud_uid": "example"
}
}
TrackerEnumField
Enumeration field from Yandex Tracker
|
Name |
Description |
|
display |
Type: string Displayed field value Example: |
|
key |
Type: string Field value key Example: |
Example
{
"display": "example",
"key": "example"
}
BGColor
An enumeration.
Type: string
Enum: blue, yellow, pink, red, green, mint, grey, orange, magenta, purple, copper, ocean
GridRowSchema
Dynamic table row schema
|
Name |
Description |
|
id |
Type: string Unique row identifier Example: |
|
row |
Type: arrayAny of 10 types
Array of the row's cell values (the order matches the column order) Example
|
|
color |
All of 1 type
Row background color Example: |
|
pinned |
Type: boolean The row is pinned |
Example
{
"id": "example",
"row": [
0
],
"pinned": true,
"color": "blue"
}